@font-face {
    font-family: "Droid_Regular";
    src: url(res/fonts/DroidSerif-Regular.ttf);
    font-style: normal;
    font-weight: normal;
}

@font-face {
    font-family: "Lato_Regular";
    src: url(res/fonts/Lato-Regular.ttf);
    font-style: normal;
    font-weight: normal;
}

html {
background: linear-gradient(#24272B 0%, #2D3134 100%);
overflow-x: hidden;
overflow-y: scroll;
-ms-overflow-style: none;
scrollbar-width: none;
max-width: 100%;
}

html::-webkit-scrollbar {
    display: none;
}

.container {
    height: 100%;
    width: 100%;
}

.subcontainer {
    height: 100%;
    width: 100%;
    overflow: auto;
    padding-right: 2vw;
    padding-bottom: 2%;
    overflow-x: hidden;
}

.main-grid-container {
    display: grid;
    grid-template-columns: 50% 40%;
    margin-left: 7vw;
    column-gap: .5vw;
    width: 100%;
    text-align: right;
    overflow: hidden;
    margin-top: 2%;
}

.main-grid-item {
    text-align: right;
}

.icon-grid-left{
    display: grid;
    grid-template-columns: 11.65% 11.65% 11.65% 11.65% 11.65% 11.65% 11.65%;
    box-shadow:  0vw 1vw 5vw 1vw rgba(0, 0, 0, .5);
    margin-left: 10.15%;
    padding-left: 1.75%;
    column-gap: .5vw;
    width: 100%;
 
}

.icon-grid-right{
    display: grid;
    grid-template-columns: 11.65% 11.65% 11.65% 11.65%;
    box-shadow:  0vw .5vw 2vw 1vw rgba(0, 0, 0, .5);
    margin-left: -7.85%;
    padding-right: 1.75%;
    column-gap: .5vw;
    justify-content: right;
    width: 100%;
    
}

.icon-item {
    font-family: Lato_Regular, Helvetica, sans-serif;
    
    color: #CAC5BF;
    text-align: center;
    margin-top: -1vw;
    font-size: 2vw;
    width: 100%;
}

.icon-item img {
    display: block;
    height: auto;
    width: 100%;
    transition: transform .2s;
}

.icon-item img:hover{
    transform: scale(1.5);
}

.main-title {
    margin-top: 18vw;
    font-family: Droid_Regular, Georgia, serif;
    font-size: 8vw;
    color: #00A99D;
}

.main-subtitle {
    margin-top: -5vw;
    text-align: right;
    letter-spacing: .5vw;
    font-family: Lato_Regular, Helvetica, sans-serif;
    letter-spacing: 3px;
    font-size: 3vw;
    color: #CAC5BF;
}

.title-left {
    margin-top: 2%;
    margin-left: 10.15%;
    text-align: left;
    font-family: Droid_Regular, Georgia, serif;
    font-size: 6vw;
    color: #00A99D;
    z-index: 1;
}

.title-right {
    margin-top: 2%;
    margin-right: 7.85%;
    text-align: right;
    font-family: Droid_Regular, Georgia, serif;
    font-size: 6vw;
    color: #00A99D;
    z-index: 1;
}

.main-subtitle:before {
    content: "";
    animation: animateTitles infinite 15s;
}

.navbar {
    position: fixed;
    height: 100%;
    width: 7.5vw;
    z-index: 0;
    top: 0;
    left: 0;
    overflow: hidden;
    margin-top: 1.5vw;
    background-color: transparent;
}

.navbutton {
    font-family: Lato_Regular, Helvetica, sans-serif;
    font-size: 1vw;
    text-align: center;
    font-weight: bold;
    height: 3vw;
    width: 8vw;
    border-radius: 3vw;
    transform: rotate(270deg);
    border-style: none;
    border: none;
    color: #00A99D;
    margin-top: 3.5vw;
    margin-bottom: 3.5vw;
    cursor: pointer;
    
    background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
    box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
}

.navbutton:focus {
    font-family: Lato_Regular, Helvetica, sans-serif;
    font-size: 1vw;
    text-align: center;
    font-weight: bold;
    height: 3vw;
    width: 8vw;
    border-radius: 3vw;
    transform: rotate(270deg);
    border-style: none;
    border: none;
    color: #00A99D;
    margin-top: 3.5vw;
    margin-bottom: 3.5vw;
    cursor: pointer;
    
    background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
    box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
    box-shadow: inset .15vw -0.15vw .75vw 0vw rgba(0, 0, 0, .5);
}

.pic {
    display: inline-block;
    transition: 0.5s;
    width: 100%;
    height: 90%;
}

.pic.animate-pic {
    animation: 1.5s ease-out 0s 1 slideInFromLeft;
}

.phone-img {
    display: inline-block;
    width: 100%;
    border-radius: 0.5vw;
    box-shadow:  0.25vw 0.25vw 0.75vw 0.1vw rgba(0, 0, 0, .5);
    margin-bottom: 1vw;
}

.mouse {
    position: fixed;
    height: 1.75vw;
    width: 1vw;
    border-radius: 2vw;
    transform: none;
    border: .25vw solid #CAC5BF;
    opacity: 50%;
    top: 92.5%;
    left: 50%;
}

.wheel {
    position: relative;
    height: .5vw;
    width: .2vw;
    display: block;
    margin: .125vw .405vw;
    background: #CAC5BF;
    animation: scrollWheel infinite 2s;
}

.resume {
    position: fixed;
    height: 3vw;
    width: 3vw;
    top: 90%;
    left: 92.5%;

}

.project-title {
    margin-top: 0%;
    margin-left: 6.15%;
    text-align: left;
    font-family: Droid_Regular, Georgia, serif;
    font-size: 6vw;
    color: #00A99D;
    z-index: 0;
    position: relative;
}

.project-list {
    margin-top: -6%;
    /* Align text left */
}

.project-item {
    font-family: Lato_Regular, Helvetica, sans-serif;
    margin-left: 0%;
    text-align: left;
    font-size: 3vw;
    color: #CAC5BF;
    z-index: 0;
    position: relative;
}

#contact-form {
    width: 100%;
    margin-left: 10.15%;
}

.contact-text {
    font-family: Lato_Regular, Helvetica, sans-serif;
    display: block;
    position: relative;
    height: 4%;
    width: 25%;
    font-size: 1.5vw;
    margin-top: 2%;
    cursor: text;

}

.contact-area {
    font-family: Lato_Regular, Helvetica, sans-serif;
    position: relative;
    height: 12vw;
    width: 25%;
    font-size: 1.5vw;
    margin-top: 2%;
    resize:vertical;
    display: block;
    cursor: text;
}

.contact-button {
    font-family: Lato_Regular, Helvetica, sans-serif;
    font-size: 2vw;
    text-align: center;
    font-weight: bold;
    height: 3vw;
    width: 12vw;
    border-radius: 3vw;
    border-style: none;
    border: none;
    color: #00A99D;
    margin-top: 1%;
    cursor: pointer;
    position: relative;
    
    background: linear-gradient(180deg, #24272B 0%, #2D3134 100%);
    box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
}

.contact-button:focus {
    font-family: Lato_Regular, Helvetica, sans-serif;
    font-size: 2vw;
    text-align: center;
    font-weight: bold;
    height: 3vw;
    width: 12vw;
    border-radius: 3vw;
    border-style: none;
    border: none;
    color: #00A99D;
    margin-top: 2%;
    cursor: pointer;
    position: relative;
    
    background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
    box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
    box-shadow: inset .15vw -0.15vw .75vw 0vw rgba(0, 0, 0, .5);
}

.grecaptcha-badge { visibility: hidden; }

.grecaptcha-branding {
    font-family: Lato_Regular, Helvetica, sans-serif;
    font-size: 0.5vw; /* Adjust font size as needed */
    color: #CAC5BF; /* Same color as other text */
    margin-top: 2%; /* Adjust spacing */
    width: 25%; /* Adjust width to match the textbox above */
    display: inline-block; 
    position: relative;
    width: 25%;
    margin-top: 1%;
    resize:vertical;
}

.grecaptcha-link {
    color: #00A99D; /* Link color */
    text-decoration: none; /* Remove underline */
    transition: color 0.3s; /* Smooth color transition */
}


.social-button {
    width: 12vw;
    height: 3vw;
    min-height: 3vw;
    text-decoration: none;
    margin: 0;
    margin-top: 2%;
    margin-left: 2%;
    overflow: hidden;
    justify-content: center;

}

.sb-image {
    position: relative;
    width: 2vw;
}

.slideshow {
    width: 100%;
    height: 100%;
    margin-top: 2%;
    margin-bottom: 45%;
    margin-left: 10.15%;
    position: relative;
    
}

.slideshow-item img {
    max-width: 66vw;
    width: 50vw;
    height: auto;
    max-height: 45vw;
    object-fit: cover;
}

.slideshow-item-text {
    max-width: 50%;
    position: absolute;
    margin-left: 44.25%;
    transform: translateY(-150%);
    background-color: rgba(0, 0, 0, .5);
    color: #CAC5BF;
    padding: 0vw 1vw;
}

.slideshow-item-text h2{
    font-size: 4vw;
    font-family: Lato_Regular, Helvetica, sans-serif;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.slideshow-item {
    width: inherit;
    height: inherit;
    position: absolute;
    opacity: 0;
    animation: cycleImages 71s infinite;
}

.slideshow-item:nth-child(1){
    animation-delay: 0s;
}
.slideshow-item:nth-child(2){
    animation-delay: 10s;
}
.slideshow-item:nth-child(3){
    animation-delay: 20s;
}
.slideshow-item:nth-child(4){
    animation-delay: 30s;
}
.slideshow-item:nth-child(5){
    animation-delay: 40s;
}
.slideshow-item:nth-child(6){
    animation-delay: 50s;
}
.slideshow-item:nth-child(7){
    animation-delay: 60s;
}

.splash{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #2C2F33;
    z-index: 200;
    text-align: center;
}

.splash.display-none{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #2C2F33;
    z-index: -10;
    text-align: center;
    opacity: 0;
    transition: all 0.5s;
}

.splash img {
    width: 14%;
    margin-top: 17%;
    opacity: 0;
    animation: fadeIn 2s ease-in forwards;
}

@keyframes fadeIn{
    to{
        opacity: 1;
    }
}


@media screen and (max-width: 1000px){
    .slideshow {
        width: 100%;
        height: 37.5%;
        margin-top: 2%;
        margin-bottom: 55%;
        margin-left: 10.15%;
        position: relative;
    }

    .slideshow-item {
        width: inherit;
        height: inherit;
        position: absolute;
        opacity: 0;
        animation: cycleImages 71s infinite;
    }
    
    .slideshow-item img {
        max-width: 55vw;
        width: 44vw;
        height: 55vw;
        object-fit: cover;
    }
    
    .slideshow-item-text {
        max-width: 42.5%;
        top: 57.5%;
        position: absolute;
        margin-left: 49.25%;
        transform: translateY(320%);
        background-color: rgba(0, 0, 0, .5);
        color: #CAC5BF;
        padding: 0vw 2vw;
    }

    .slideshow-item-text h2{
        font-size: 3vw;
        font-family: Lato_Regular, Helvetica, sans-serif;
        text-transform: uppercase;
        letter-spacing: 3px;
    }

    #contact-form {
        width: 150%;
        margin-bottom: 5%;
    }

    .navbutton {
        font-family: Lato_Regular, Helvetica, sans-serif;
        font-stretch: wider;
        font-size: 3vw;
        font-weight: bolder;
        text-align: center;
        height: 4.5vw;
        width: 20vw;
        border-radius: 3vw;
        transform: rotate(270deg);
        border-style: none;
        border: none;
        color: #00A99D;
        margin-top: 10.5vw;
        margin-bottom: 10.5vw;
        margin-left: -5.5vw;
        cursor: pointer;
        
        background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
        box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
    }

    .navbutton:focus {
        font-family: Lato_Regular, Helvetica, sans-serif;
        font-stretch: wider;
        font-size: 3vw;
        font-weight: bolder;
        height: 4.5vw;
        width: 20vw;
        border-radius: 3vw;
        transform: rotate(270deg);
        border-style: none;
        border: none;
        color: #00A99D;
        margin-top: 10.5vw;
        margin-bottom: 10.5vw;
        margin-left: -5.5vw;
        cursor: pointer;
        
        background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
        box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
        box-shadow: inset .15vw -0.15vw .75vw 0vw rgba(0, 0, 0, .5);
    }
}

@media screen and (max-width: 767px){

    .slideshow {
        width: 100%;
        height: 30%;
        margin-top: 2%;
        margin-bottom: 45%;
        margin-left: 10.15%;
        position: relative;
    }
  
    .slideshow-item {
        width: inherit;
        height: inherit;
        position: absolute;
        opacity: 0;
        animation: cycleImages 71s infinite;
    }

    .slideshow-item img {
        max-width: 66vw;
        width: 50vw;
        height: auto;
        object-fit: cover;
    }

    .slideshow-item-text {
        max-width: 50%;
        top: 57.5%;
        position: absolute;
        margin-left: 49.25%;
        transform: translateY(230%);
        background-color: rgba(0, 0, 0, .5);
        color: #CAC5BF;
        padding: 0vw 2vw;
    }

    #contact-form {
        width: 200%;
        margin-bottom: 5%;
    }

    .navbutton {
        font-family: Lato_Regular, Helvetica, sans-serif;
        font-size: 3vw;
        text-align: center;
        font-weight: bolder;
        height: 4.5vw;
        width: 20vw;
        border-radius: 3vw;
        transform: rotate(270deg);
        border-style: none;
        border: none;
        color: #00A99D;
        margin-top: 10.5vw;
        margin-bottom: 10.5vw;
        margin-left: -5.5vw;
        cursor: pointer;
        
        background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
        box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
    }

    .navbutton:focus {
        font-family: Lato_Regular, Helvetica, sans-serif;
        font-stretch: wider;
        font-size: 3vw;
        font-weight: bolder;
        height: 4.5vw;
        width: 20vw;
        border-radius: 3vw;
        transform: rotate(270deg);
        border-style: none;
        border: none;
        color: #00A99D;
        margin-top: 10.5vw;
        margin-bottom: 10.5vw;
        margin-left: -5.5vw;
        cursor: pointer;
        
        background: linear-gradient(270deg, #24272B 0%, #2D3134 100%);
        box-shadow: -.15vw 0.15vw .75vw 0vw rgba(0, 0, 0, .5);
        box-shadow: inset .15vw -0.15vw .75vw 0vw rgba(0, 0, 0, .5);
    }
    
}

@keyframes cycleImages {
    15%{
        opacity: 1;
    }
    20%{
        opacity: 0;
    }
}

@keyframes slideInFromLeft {
    0% {
        transform: translateX(-100%) scale(1.1, .9);
    }
    15% {
        transform: scale(1.1, .9);
    }
    30% {
        transform: translateX(15%) scale(.9, 1.1);
    }
    40% {
        transform: scale(1.1, .9);
    }
    55% {
        transform: translateX(-10%) scale(.95, 1.05);
    }
    60% {
        transform: scale(1.1, .9);
    }
    75% {
        transform: translateX(7.5%) scale(.975, 1.025);
    }
    80% {
        transform: scale(1.1, .9);
    }
    90% {
        transform: translateX(-2.5%) scale(.99, 1.005);
    }
    95% {
        
    }
    100% {
        transform: translateX(0%) scale (1, 1);
    }
}

@keyframes animateTitles{
    0%{
        content: 'Software Developer';
    }

    16.666%{
        content: 'Web Designer';
    }

    33.333%{
        content: 'App Developer';
    }

    50%{
        content: 'Superintendent'; 
    }

    66.666%{
        content: 'Illustrator';
    }

    83.333%{
        content: 'UMGC Graduate';
    }

    100%{
        content: 'Software Developer';
    }
}

@keyframes scrollWheel {
    0% {
        opacity: 100%;
        transform: translateY(0);
    }
    100% {
        opacity: 0%;
        transform: translateY(.25vw);
    }
}